scala.concurrent.pilib
class Sum

[source: `scala/concurrent/pilib.scala`]

`case` `class` Sum(`val` gs : List[UGP])
  `extends` Product

Value Summary
`var` | cont : () => Any Continuation of the sum.
`var` | initialized : Boolean

Method Summary
`def` | continue : Any Block if not initialized otherwise continue with the continuation.
`override def` | equals (arg0 : Any) : Boolean
`override def` | hashCode : Int
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`def` | set (f : () => Any) : Unit Set the values of parameters and awake the sleeping sum.
`override def` | toString : String

Methods inherited from Product
element, arity

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `var` cont : () => Any

  Continuation of the sum.

`` `var` initialized : Boolean

Method Details

`` `def` continue : Any

  Block if not initialized otherwise continue with the continuation.

`` `def` set(f : () => Any) : Unit

  Set the values of parameters and awake the sleeping sum.

Parameters
  `f -` ...

`override` `def` hashCode : Int

`override` `def` toString : String

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement